Bug 1031483 - [abrt] rhythmbox-2.99.1-1.fc19: rhythmdb_entry_lookup_by_location_refstring: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.99.1-1.fc19: rhythmdb_entry_lookup_by_location_refstring: ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8882e9c88d6b19c0c48dbe099eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 00:04 EST by Nicholas Nelson
Modified: 2015-02-17 14:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:17:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.72 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: core_backtrace (21.07 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: dso_list (22.87 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: environ (1.69 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: maps (105.96 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: open_fds (1.33 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details
File: var_log_messages (16.88 KB, text/plain)
2013-11-18 00:04 EST, Nicholas Nelson
no flags Details

  None (edit)
Description Nicholas Nelson 2013-11-18 00:04:04 EST
Description of problem:
1) Open Rhythmbox.
2) Connect Nexus 4 (presumably any Android phone) to the computer through USB.
3) Allow Android to connect as a Media Device for music.
4) Select the Media Player from the Devices menu of Rhythmbox (only appears once device is connected).
5) Select Sync button from within the menu of Rhythmbox.
6) Rhythmbox crashes.

Version-Release number of selected component:
rhythmbox-2.99.1-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rhythmdb_entry_lookup_by_location_refstring
executable:     /usr/bin/rhythmbox
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 rhythmdb_entry_lookup_by_location_refstring at rhythmdb.c:3859
 #1 rhythmdb_entry_lookup_by_location at rhythmdb.c:3838
 #2 rhythmdb_entry_new at rhythmdb.c:1741
 #3 add_mtp_track_to_db at rb-mtp-source.c:690
 #4 mtp_tracklist_cb at rb-mtp-source.c:1009
 #5 get_track_list at rb-mtp-thread.c:423
 #6 run_task at rb-mtp-thread.c:603
 #7 task_thread at rb-mtp-thread.c:638
 #8 g_thread_proxy at gthread.c:798
Comment 1 Nicholas Nelson 2013-11-18 00:04:09 EST
Created attachment 825375 [details]
File: backtrace
Comment 2 Nicholas Nelson 2013-11-18 00:04:12 EST
Created attachment 825376 [details]
File: cgroup
Comment 3 Nicholas Nelson 2013-11-18 00:04:14 EST
Created attachment 825377 [details]
File: core_backtrace
Comment 4 Nicholas Nelson 2013-11-18 00:04:16 EST
Created attachment 825378 [details]
File: dso_list
Comment 5 Nicholas Nelson 2013-11-18 00:04:19 EST
Created attachment 825379 [details]
File: environ
Comment 6 Nicholas Nelson 2013-11-18 00:04:21 EST
Created attachment 825380 [details]
File: exploitable
Comment 7 Nicholas Nelson 2013-11-18 00:04:23 EST
Created attachment 825381 [details]
File: limits
Comment 8 Nicholas Nelson 2013-11-18 00:04:26 EST
Created attachment 825382 [details]
File: maps
Comment 9 Nicholas Nelson 2013-11-18 00:04:28 EST
Created attachment 825383 [details]
File: open_fds
Comment 10 Nicholas Nelson 2013-11-18 00:04:30 EST
Created attachment 825384 [details]
File: proc_pid_status
Comment 11 Nicholas Nelson 2013-11-18 00:04:33 EST
Created attachment 825385 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:37:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:17:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.